<div class="p-20">
	<div class="mb-20">

		<div class="breadcrumbs" >
			<a class="breadcrumbs__item"
				routerLink="../">
				<span> К списку направлений подготовки </span>
			</a>
		</div>

		<div>
			<h3 fxFlex=""> Добавление направлений подготовки</h3>

			<div>
				<button mat-flat-button
					(click)="save()"
					color="accent"
					[disabled]="directionsForm.invalid"> Добавить </button>

			</div>
		</div>


	</div>

	<div class="art-card p-16">
		<mat-card-content>
			<button mat-stroked-button
				class="mb-16"
				(click)="addDirection()">
				<mat-icon svgIcon="plus">  </mat-icon>
				Добавить направление подготовки
			</button>

			<form [formGroup]="directionsForm">
				<div>
					<div formArrayName="data">
						<ng-container *ngFor="let data of items.controls; index as i">
							<div [formGroupName]="i">
								<div fxLayout="row wrap"  fxLayoutAlign="start center"  fxLayoutGap='16px'>
									<mat-form-field appearance="fill" fxFlex="">
										<mat-label> Уровень образования</mat-label>
										<mat-select formControlName="id_education_level"
											(valueChange)="editEducation($event, i)">
											<mat-option *ngFor="let item of cls.education_level.data" [value]="item.id">
												{{item.name}}
											</mat-option>
										</mat-select>
									</mat-form-field>
									<mat-form-field appearance="fill" fxFlex="">
										<mat-label> Группа специальностей</mat-label>
										<mat-select formControlName="id_group_speciality" (valueChange)="editGroupspeciality($event, i)" >

											<ngx-mat-select-search
												[placeholderLabel]="'Поиск'"
												[noEntriesFoundLabel]="'Данные не найдены'"
												[(ngModel)]="search[i].group_speciality" [ngModelOptions]="{standalone: true}">
												<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
											</ngx-mat-select-search>


											<mat-option *ngFor="let item of cls.items[i].group_speciality$ | async | filter: search[i].group_speciality"
												[value]="item.id">
												{{item.name}}
											</mat-option>
											<mat-option *ngIf="!data.get('id_education_level').value"
												disabled>
												Необходимо выбрать уровень образования
											</mat-option>


										</mat-select>


									</mat-form-field>
								</div>
								<div  fxLayout="row wrap"  fxLayoutAlign="start center"  fxLayoutGap='16px'>
									<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
										<mat-label> Направление подготовки</mat-label>
										<mat-select formControlName="id_speciality" multiple>
											<ngx-mat-select-search
												[placeholderLabel]="'Поиск'"
												[noEntriesFoundLabel]="'Данные не найдены'"
												[(ngModel)]="search[i].speciality" [ngModelOptions]="{standalone: true}">
												<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
											</ngx-mat-select-search>
											<mat-option *ngFor="let item of cls.items[i].speciality$ | async | filter: search[i].speciality" [value]="item.id">
												{{item.name}}
											</mat-option>
											<mat-option *ngIf="!data.get('id_group_speciality').value" disabled >
												Необходимо выбрать группу специальностей
											</mat-option>
										</mat-select>
									</mat-form-field>

									<div *ngIf="items.controls.length > 1" >
										<button mat-flat-button (click)="del(i)">
											<mat-icon svgIcon="delete-outline"></mat-icon>
											<span> Удалить </span>
										</button>
									</div>

								</div>

								<mat-divider class="pb-16" *ngIf="i < items.controls.length - 1"></mat-divider>


							</div>
						</ng-container>
					</div>

				</div>

			</form>
		</mat-card-content>

	</div>

</div>
